#!/bin/sh
# name:        rmnrclient.sh
# description: Stop daemon and remove previous version before package is upgraded
# os:          FreeBSD
# contact:     support@neorouter.com 

prefix=/usr/local
NEOROUTERROOT=$prefix/ZebraNetworkSystems/NeoRouter

# ensure nrservice is not running
pkill nrclient.sh
pkill nrclientcmd
pkill nrservice

#remove NeoRouter server package
rm $prefix/bin/nrclient.sh
rm $prefix/bin/nrclient.jar
rm $prefix/bin/nrclientcmd
rm $prefix/bin/nrservice
rm $prefix/etc/rc.d/nrservice.sh
rm $NEOROUTERROOT/nrclient.README

#remove this script
rm $prefix/bin/rmnrclient.sh

